## org.apache.hadoop.streaming
Class AutoInputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat
          org.apache.hadoop.streaming.AutoInputFormat

All Implemented Interfaces:
  InputFormat

    public class AutoInputFormat

extends FileInputFormat

An `InputFormat` that tries to deduce the types of the input files automatically. It can currently handle text and sequence files.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat
`FileInputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`AutoInputFormat()`

Method Summary
`void` `configure(JobConf job)`
`RecordReader` `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoInputFormat

    public AutoInputFormat()

Method Detail

### configure

    public void configure(JobConf job)

### getRecordReader

    public RecordReader getRecordReader(InputSplit split,
                                        JobConf job,
                                        Reporter reporter)
                                 throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat`
  Specified by:
    `getRecordReader` in class `FileInputFormat`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation